InvalidDatatypeValueException (Xerces2 Implementation)
Date: 2012-11-18

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv
Class InvalidDatatypeValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.xerces.impl.dv.DatatypeException
                  org.apache.xerces.impl.dv.InvalidDatatypeValueException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidDatatypeValueException

extends DatatypeException

Datatype exception for invalid values.

Version:
  $Id: InvalidDatatypeValueException.java 446751 2006-09-15 21:54:06Z mrglavas $
Author:
  Sandy Gao, IBM
See Also:
  Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.impl.dv.DatatypeException
`args, key`

Constructor Summary
`InvalidDatatypeValueException(java.lang.String key, java.lang.Object[] args)` Create a new datatype exception by providing an error code and a list of error message substitution arguments.

Method Summary

Methods inherited from class org.apache.xerces.impl.dv.DatatypeException
`getArgs, getKey, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidDatatypeValueException

    public InvalidDatatypeValueException(java.lang.String key,
                                         java.lang.Object[] args)

  Create a new datatype exception by providing an error code and a list of error message substitution arguments.

  Parameters:
    `key` - error code
    `args` - error arguments

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.